Page MenuHomePhabricator

[Attributor] Introduce an optimistic getUnderlyingObjects helper
ClosedPublic

Authored by jdoerfert on Jun 7 2021, 4:57 PM.

Details

Summary

As the llvm::getUnderlyingObjects helper, the optimistic version
collects objects that might be the base of a given pointer. In contrast
to the llvm variant, the optimistic one will use assumed information,
e.g., about select conditions or dead blocks, to provide a more precise
result.

Diff Detail

Event Timeline

jdoerfert created this revision.Jun 7 2021, 4:57 PM
jdoerfert requested review of this revision.Jun 7 2021, 4:57 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 7 2021, 4:57 PM
Herald added a subscriber: bbn. · View Herald Transcript
kuter accepted this revision.Jun 10 2021, 4:04 PM

Very small nit. LGTM

llvm/lib/Transforms/IPO/AttributorAttributes.cpp
360

NIT: getUnderlyingObject never returns nullptr.

This revision is now accepted and ready to land.Jun 10 2021, 4:04 PM
jdoerfert marked an inline comment as done.Jun 17 2021, 9:28 AM
This revision was landed with ongoing or failed builds.Jul 10 2021, 10:33 AM
This revision was automatically updated to reflect the committed changes.